2010-06-30  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources,
	  moonlight_raw_System.Xml.dll.sources,
	  monotouch_System.Xml.dll.sources : add DefaultXmlWriter.cs.

2010-03-16  Jb Evain  <jbevain@novell.com>

	* Makefile: rename the net_2_1 profile to moonlight.
	* net_2_1_*.dll.sources: rename to moonlight_*.dll.sources.

2009-11-30  Jonathan Pryor  <jpryor@novell.com>

	* monotouch_System.Xml.dll.sources: Add System.Xml/NamespaceHandling.cs 
	  to the MonoTouch build (fixed build break).

2009-11-27  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added NamespaceHandling which is kept
	  internal in 2.0 (to simplify its support in XmlTextWriter).

2009-08-01  Miguel de Icaza  <miguel@novell.com>

	* Various changes to support the non-XAP XmlSchema resolution on
	the Moonlight build.    

	Major missing feature: WebRequest resolution.

2009-04-28  Sebastien Pouliot  <sebastien@ximian.com> 

	* net_2_1_raw_System.Xml.dll.sources: Remove XmlUrlResolver.cs 
	and the associated [SecuritySafeCritical] that it required

2009-04-28  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Xml_test.dll.sources: Add System.Xml/XmlResolverTest.cs to
	the unit tests

2009-04-27  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Add missing Test/XmlFiles/496192.x* files to dist

2009-04-21  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.Xml.dll.sources: Remove MonoTODOAttribute.cs
	since we can get it from mscorlib.dll

2009-04-16  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.Xml.dll.sources: Remove corlib's files since 
	System.Xml can now access, for 2.1 (moonlight) corlib's internals.

2009-03-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources, net_2_1_raw_System.Xml.dll.sources :
	  added KeyHelper.cs.

2009-02-19  Geoff Norton  <gnorton@novell.com>

	* net_2_1_raw_System.Xml.dll.sources: Add a bunch of missing attributes

2009-01-22  Atsushi Enomoto  <atsushi@ximian.com>

	* net_2_1_raw_System.Xml.dll.sources: added XmlXapResolver.cs.

2009-01-14  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.Xml.dll.sources: Add NamespaceHandling

2008-08-19  Jb Evain  <jbevain@novell.com>

	* net_2_1_raw_System.Xml.dll.sources: add new files.

2008-05-22  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : more simplification (and I forgot the syntax again :/)

2008-05-22  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : EXTRA_DISTFILES is becoming messy, so simplify it.

2008-04-13  Jb Evain  <jbevain@novell.com>

	* Makefile, net_2_1_*.sources: SL 2.0 now has a System.Xml.
	Merged from the Moonlight 2 branch.

2008-04-02  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : extra distfiles (376395.xml, 376395.xsd).

2008-02-19  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : extra distfiles (361818*.xsd).

2008-02-19  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources: added XmlSchemasTests.cs.

2008-02-04  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources : added XmlSchemaValidatorTests.cs.
	* Makefile : extra distfiles (358408.xsd).

2008-01-15  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Xml_test.dll.sources: added XmlParserContextTests.cs.

2007-10-31  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : extra distfiles (336625.xsd).

2007-09-21  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : extra distfiles (325482.xml / 325482.xsl).

2007-08-21  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : extra distfiles (82078.xsd).

2007-08-21  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : extra distfiles (82493.xml/.xsl).

2007-08-02  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : extra distfiles (82010.xml/.xsd).

2007-06-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added XsltDebuggerWrapper.cs, as initial
	  attempt to support external debugger.

2007-04-24  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added distfiles.

2006-11-01  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources : added following tests:
	  - XmlSerializerImplementationTests.cs
	  - SchemaImporterExtensionTests.cs
	  - SchemaImporterExtensionCollectionTests.cs

2006-11-01  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : Now it supports (and expects) cyclic build. You need
	  another System.XML iteration in mcs/class/Makefile.
	* System.Xml.dll.sources : moved extension classes, added config and
	  XmlSchemaEnumerator.cs and removed IXmlSerializerImplementation.cs.

2006-10-30  Wade Berrier  <wberrier@novell.com>

	* Makefile: remove README, Mono.System.XML.csproj, 
	Mono.System.XML.sln from EXTRA_DIST to fix make dist

2006-10-30  Atsushi Enomoto  <atsushi@ximian.com>

	* README, Mono.System.XML.csproj, Mono.System.XML.sln :
	  remove old files.

2006-10-27  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added 79650.xsd to dist file.

2006-10-27  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added 79683.dtd to dist file.

2006-10-22  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (EXTRA_DISTFILES): Add some missing test files.

2006-09-26	Boris Kirzner <borisk@mainsoft.com>

	* run-W3C-tests.bat, run-XSLT-tests.bat: log files naming fix.

2006-09-13	Boris Kirzner <borisk@mainsoft.com>
	* run-tests.bat, run-W3C-tests.bat, run-XSLT-tests.bat: 
	reworked test scripts for TARGET_JVM.

2006-09-06  Merav Sudri  <meravs@mainsoft.com>

	* run-W3C-tests.bat - Update nunit build and XMLTool actions
	* run-XSLT-tests.bat - Update CLASSPATH,nunit build and XMLTool actions 
 
2006-07-24  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added XmlMappingAccess.

2006-05-16  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* run-W3C-tests.bat: skip nunit build if already done
	* run-XSLT-tests.bat: skip nunit build if already done

2006-04-27  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Xml_test.dll.sources: Added Test/System.Xml.Serialization/
	XmlSchemaCollectionTests.cs.

2006-04-26  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Xml_test.dll.sources: Added Test/System.Xml.Serialization/
	SoapAttributesTests.cs.

2006-04-20  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Xml_test.dll.sources: Added Test/System.Xml.Serialization/
	XmlCodeExporterTests.cs.

2006-04-12  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources :
	  Added Test/System.Xml/XmlDefaultReader.cs.

2006-04-03  Andrew Skiba <andrews@mainsoft.com>
	
	* run-tests.bat, run-W3C-tests.bat: fix TARGET_JVM test scripts

2006-04-03  Andrew Skiba <andrews@mainsoft.com>

	* run-tests.bat, run-W3C-tests.bat, run-XSLT-tests.bat: batch files
	for running tests with java

2006-04-03	Boris Kirzner <borisk@mainsoft.com>
	* System.XML.vmwcsproj: fix project file for TARGET_JVM.

2006-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added XslSortEvaluator.cs.

2006-02-20  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : removed XmlTextWriterOpenElement.cs and 
	  XmlTextWriter.cs. Added XmlTextWriter2.cs, to be renamed to
	  XmlTextWriter.cs in a few days or weeks.

2006-02-17  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : removed DTDValidatingReader and added
	  DTDValidatingReader2.cs and EntityResolvingXmlReader.cs.

2006-02-16  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added IHasXmlChildNode.cs.

2006-02-09  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Xml_test.dll.Sources: Added XmlSerializationReaderTests.cs.

2006-01-27  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added XmlIteratorNodeList.cs.

2006-01-10  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources : added XmlSchemaTypeTests.cs.

2006-01-10  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources : XmlSchemaDatatypeTests.cs was missing.
	  collected sys.xml.schema lines.

2006-01-07  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Xml_test.dll.sources: Added SoapSchemaExporterTests.cs,
	SoapReflectionImporterTests.cs, XmlSchemaImporterTests.cs.

2005-12-28  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Xml_test.dll.sources: Added XmlSchemaExporterTests.cs.

2005-12-17  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Xml_test.dll.sources: Added XsltCompilerExceptionTests.cs
	and XsltExceptionTests.cs.

2005-12-14  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources: Added XPathNavigatorReaderTests.cs.

2005-12-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources: Added XmlAssert.cs.

2005-12-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources: Added XPathEditableNavigatorTests.cs.

2005-12-08  Andrew Skiba  <andrews@mainsoft.com>

	* System.XML.vmwcsproj: update the project with recent changes

2005-12-08  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added XmlSchemaCompilationSettings.cs

2055-12-01  Konstantin Triger <kostat@mainsoft.com>

	* Makefile: java profile reference change.

2005-11-30  Konstantin Triger <kostat@mainsoft.com>

	* System.XML.vmwcsproj: reference to vmwutils replaced with reference to J2SE.Helpers.
	* jay.bat: quoting passes

2005-11-22  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added dummy XslCompiledTransform.cs.

2005-11-14  Andrew Skiba  <andrews@mainsoft.com>

	* net_1_1_java_System.Xml.dll.exclude.sources,
	net_1_1_java_System.dll.sources: fix filename

2005-11-14  Andrew Skiba  <andrews@mainsoft.com>

	* Makefile: add java build profile
	* System.Xml.vmwcsproj: replace XmlNodeReader.cs with XmlNodeReader2.cs
	and XslDecimalFormat.cs with XslDecimalFormat.jvm.cs
	* net_1_1_java_System.Xml.dll.exclude.sources,
	net_1_1_java_System.dll.sources: add source lists for java profile

2005-11-10 Vladimir Krasnov <vladimirk@mainsoft.com>

	* System.XML.vmwcsproj: removed XmlSchemaBuiltInType.cs

2005-09-25  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : removed XmlSchemaBuiltInType.cs.

2005-09-21  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : shut down CS0642 noise.
	* System.Xml.dll.sources : added XmlOutputMethod.

2005-09-20 Konstantin Triger <kostat@mainsoft.com>

        * Added jay.bat to run jay in java prebuild step
        * System.XML.vmwcsproj: added prebuild step

2005-08-31  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: /unsafe isn't required to build System.Xml.
	* System.Xml_test.dll.sources: Added new CAS unit tests.

2005-07-31  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.Xml_test.dll.sources: Added tests for default values of
	Xml Serialization attribute classes.

2005-06-27  Raja R Harinath  <rharinath@novell.com>

	* Makefile (EXTRA_DISTFILES): Add files in Test/XmlFiles and
	Test/System.Xml/nist_dom/.

2005-06-27  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : removed XmlQueryDialect.
	  Added xslt message event stuff.

2005-06-20  Raja R Harinath  <rharinath@novell.com>

	* Makefile (SCARY_LIB): Remove.

2005-05-25  Raja R Harinath  <rharinath@novell.com>

	* Makefile (EXTRA_DISTFILES): Remove System.Xml.Query/skeleton-2.0.cs.

2005-05-23  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.Query : removed the whole directory (removed from .net 2.0)

2005-05-09  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : removed obsolete TypeTableEntry.cs.

2004-05-05  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : XPathAtomicValue.cs -> XmlAtomicValue.cs.

2004-05-05  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : removed XmlValueConverter (obsoleted).
	* System.Xml_test.dll.sources : removed XPathAtomicValue (obsoleted).

2005-05-04  Andrew Skiba  <andrews@mainsoft.com>

	* System.XML.vmwcsproj: Added Visual MainWin C# project file for
	building System.XML package for TARGET_JVM.
	
2005-04-03  Ben Maurer  <bmaurer@ximian.com>

	* System.Xml.dll.sources: Kill multiplexing hack.

2004-03-22  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : now it creates XSLT pattern parser files from
	  Parser.jay and Tokenizer.cs in System.Xml.XPath.

2004-03-04  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : Added XslNotSupportedOperation.cs.

2004-01-21  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : /nowarn:0162 is back.

2004-01-20  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : amd64 build complains /nowarn:0162. It should not, but
	  now removing since it breaks the build.

2004-01-18  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources :
	  Added XmlNameEntry.cs and XmlNameEntryCache.cs.

2004-01-17  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : replaced CustomSerializer with 
	  XmlSchemaSerializer.
	  Replaced XmlNodeReader with XmlNodeReaderImpl.cs and
	  XmlNodeReader2.cs. (dispatches entity reader and non-entity reader.)

2004-12-17  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added XmlReaderBinarySupport.cs.

2004-12-14  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added XmlSchemaValidatingReader.

2004-12-08  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added XmlSchemaValidator.cs,
	  XmlValueGetter.cs and XmlSchemaValidationFlags.cs.

2004-12-06  Raja R Harinath  <rharinath@novell.com>

	* Makefile (lib_file): New autodetecting define.
	(USE_BOOT_COMPILE, LIBRARY_COMPILE): Add support for using
	bootstrap compiler.
	(BUILT_SOURCES): Add ...XPath/Parser.cs.
	(EXTRA_DISTFILES): Add ...Query/XQueryParser.jay.
	(BOOTSTRAP_MCS) [PROFILE=net_2_0]: New.
	* System.Xml.dll.sources: Remove ...XPath/Parser.cs.

2004-12-04  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added DTMXPathDocument2.cs,
	  DTMXPathDocumentBuilder2.cs, DTMXPathDocumentWriter2.cs,
	  DTMXPathDocumentWriter2.cs and DTMXPathNode2.cs.

2004-12-03  Raja R Harinath  <rharinath@novell.com>

	* Makefile: Remove support for being in bootstrap build.

2004-12-01  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources: removed old IXPathChangeNavigable.cs,
	  XmlChangeFilters.cs, and XPathDocumentNodeChangedAction.cs.

2004-11-25  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added LIBRARY_COMPILE condition for upcoming need to
	  be referenced in bootstrap.

2004-11-22  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added XmlSchemaInfo.cs.

2004-11-17  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : Moved XQueryConvert.cs from
	  System.Xml.Query to System.Xml.

2004-11-17  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added XmlSchemaInference.cs,
	  XmlSchemaInferenceException.cs and XmlSchemaValidationException.cs.

2004-11-08  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources :
	  added XmlTextReader2.cs.
	  removed IXPathEditable.cs, XPathEditableNavigator.cs,
	  NodeChangedEventArgs.cs and NodeChangedEventHandler.cs.

2004-10-29  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : just ignore obsolete attribute warnings (those obsolete
	  members are widely used in obsolete code).

2004-10-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : removed IXmlDataEvidence, fixed
	  XmlDateTimeSerializationMode, added NewLineHandling.

2004-10-22  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : removed all XQuery related classes, fixed
	  XmlConvertDateTimeSerializationMode, removed 2.0 XPathDocument
	  implementation classes.

2004-10-21  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added -nowarn:0162 -nowarn:0618 to the compiler options.

2004-10-07  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources:
	  added System.Xml.Query/XQueryFunctionContextAttribute.cs.

2004-09-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources : Added XPathAtomicValueTests.cs.

2004-09-08  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources : Added XmlWriterSettingsTests.cs.

2004-09-07  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources : Added XmlReaderSettingsTests.cs.
	  XmlReaderCommonTests.cs and XmlSchemaSetTests.cs were missing.

2004-08-31  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources:
	  added System.Xml.Query/XQueryComparisonOperator.cs.

2004-08-31  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources:
	  added System.Xml.Query/XQueryArithmeticOperator.cs.

2004-08-20  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources:
	  added many XQuery implementation internal classes.

2004-08-02  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources: added those files:
	  - Mono.Xml.XPath/XPathDocument2.cs
	  - Mono.Xml.XPath/XPathDocument2Navigator.cs
	  - Mono.Xml.XPath/XPathDocument2Editable.cs

2004-07-29  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources: added Mono.Xml/SubtreeXmlReader.cs

2004-07-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources: added Mono.Xml.XPath/XPathEditableDocument.cs

2004-07-26  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : added call to jay for creating XQueryParser.cs.
	* System.Xml.dll.sources : added XQueryParser.cs, XQueryTokenizer.cs,
	  XQueryModuleProlog.cs, XPath2Expression.cs and XQueryExpression.cs.

2004-07-21  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources: Added XQueryConvert.cs. Removed 
	  XmlFactory.cs, XmlQualifiedNameTable.cs, IXPathChangeNavigable.cs,
	  XPathChangeNavigator.cs and IXmlType.cs that are removed or going to 
	  be removed.

2004-07-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources: Added MonoFIXAttribute.cs

2004-07-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources:
	  Added XmlFilterReader.cs and XPathNavigatorReader.cs

2004-07-09  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources: Added XmlConvertDateTimeOption.cs.

2004-07-09  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources: removed XmlItemView.cs and
	  XmlItemViewCollection.cs (only in 1.2).

2004-07-09  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources: removed one of ImportContext.cs

2004-07-08  Lluis Sanchez Gual <lluis@ximian.com>

	* System.Xml.dll.sources: Added new files:
		System.Xml.Serialization/IXmlSerializerImplementation.cs
		System.Xml.Serialization/IXmlTextParser.cs
		System.Xml.Serialization/ImportContext.cs
		System.Xml.Serialization/SchemaImporter.cs
		System.Xml.Serialization/SchemaImporterExtension.cs
		System.Xml.Serialization/SchemaImporterExtensionCollection.cs
		System.Xml.Serialization/XmlDeserializationEvents.cs
		System.Xml.Serialization/XmlSchemaProviderAttribute.cs
		System.Xml.Serialization/XmlSerializationGeneratedCode.cs
		System.Xml.Serialization/XmlSerializerAssemblyAttribute.cs
		System.Xml.Serialization/XmlSerializerFactory.cs
		System.Xml.Serialization/XmlSerializerVersionAttribute.cs

2004-07-06  Raja R Harinath  <rharinath@novell.com>

	* System.Xml.dll.sources: List newly added NET 2.0 stubs.

2004-07-02  Raja R Harinath  <rharinath@novell.com>

	* Makefile (LIBRARY_USE_INTERMEDIATE_FILE): Define.

2004-06-18  Atsushi Enomoto  <atsushi@ximian.com>

	* Mono.System.XML.csproj : now contains new NET_2_0 files.

2004-05-22  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added/removed all NET_2_0 classes.

2004-05-19  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : Added System.Xml.Schema/CustomSerializer.cs

2004-03-31  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources :
	  Added new test files: nist_dom stuff, XmlSecureResolverTests.cs,
	  XmlSchemaAssertion.cs, MsxslScriptTests.cs.

2004-03-24  Lluis Sanchez Gual <lluis@ximian.com>

	* System.Xml_test.dll.sources: Added 
		System.Xml.Serialization/ComplexDataStructure.cs.

2004-02-24  Lluis Sanchez Gual <lluis@ximian.com>

	* System.Xml.dll.sources: Added SerializationSource.cs.

2004-02-22  Nick Drochak <ndrochak@ieee.org>

	* System.Xml_test.dll.sources : Removed XmlSchemaAssertion.cs. It does
	not seem to be in CVS.  This was breaking the build on windows.

2004-02-17  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml_test.dll.sources : Added XmlEntityTests.cs and
	  XmlDocumentEventTests.cs.

2004-02-17  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : Added XslFunctions.cs.

2004-02-15 Ben Maurer  <bmaurer@users.sourceforge.net>

	* DTDValidatingReader.cs: simple optimization. there is only
	one string, skip the string builder and just return the string.

2004-02-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added DTMXPathDocumentWriter.cs.

2004-02-11  Atsushi Enomoto  <atsushi@ximian.com>

	* Mono.System.XML.csproj : updated.

2004-01-14  Atsushi Enomoto  <atsushi@ximian.com>

	* System.Xml.dll.sources : added SchemaDataValueType.cs

2004-01-07  Nick Drochak <ndrochak@ieee.org>

	* Makefile: Don't hide behind the /nowarns.  Fix them.

2004-01-06  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : use /noconfig like System.dll (to erase make test warning)

2003-12-18  Lluis Sanchez Gual <lluis@ximian.com>

  * System.Xml_test.dll.sources : Added test files
		System.Xml.Serialization/DeserializeTests.cs
		System.Xml.Serialization/XmlAttributesTests.cs
		System.Xml.Serialization/XmlReflectionImporterTests.cs
		System.Xml.Serialization/XmlSerializationWriterTests.cs

2003-12-17  David Sheldon <dave-mono@earth.li>

  * System.Xml_test.dll.sources : Added XmlSchemaBuiltInDatatypeTests.cs

2003-12-15  Atsushi Enomoto  <ginga@kit.hi-ho.ne.jp>

	* System.Xml.dll.sources :
	  removed UpdateEventHandler.cs and XmlUpdateEventArgs.cs to sqlxml.

2003-12-14  Tim Coleman <tim@timcoleman.com>
	* System.Xml.dll.sources :
		Add files from new System.Xml.Query namespace.

2003-12-11  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* System.Xml.dll.sources : Added ScriptCompilerInfo.cs.

2003-12-08  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* System.Xml_test.dll.sources : patch by David Sheldon. Added XmlSchemaLengthFacetTests.cs.

2003-11-25  Tim Coleman <tim@timcoleman.com>
	* System.Xml.dll.sources: added XmlSchemaBuiltInType.cs

2003-11-19  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* System.Xml.dll.sources: added XPathComparer.cs

2003-11-17  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* System.Xml.dll.sources: added some new .NET 1.2 stuff,
	  and sorted some members of the list.

2003-11-13  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* System.Xml.dll.sources: added HtmlEmitter.cs

2003-10-15  Lluis Sanchez Gual  <lluis@ximian.com>

	* System.Xml.dll.sources: added System.Xml.Serialization/MapCodeGenerator.cs

2003-10-09  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* System.Xml.dll.sources: added DTDReader.cs.

2003-10-01  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* System.Xml.dll.sources: added DTMXPathNode.cs.

2003-09-30  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* System.Xml.dll.sources: added XsdIdentityPath.cs, XsdIdentityState.cs
	  and XsdWildcard.cs.

2003-09-01  Lluis Sanchez Gual  <lluis@ximian.com>

	* System.Xml.dll.sources: added SerializationCodeGenerator.cs,
	  SerializationCodeGeneratorConfiguration.cs.

2003-08-24  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* System.Xml.dll.sources : added XsdParticleValidationState.cs
	  and XsdValidatingReader.cs.
	* System.Xml_test.dll.sources : added XsdParticleValidationTests.cs
	  and XsdValidatingReaderTests.cs.

2003-08-18 Ben Maurer  <bmaurer@users.sourceforge.net>

	* System.Xml.dll.sources: add files from Oleg.

2003-08-18 Ben Maurer  <bmaurer@users.sourceforge.net>

	* System.Xml.dll.source: add System.Xml/HighWaterStack.cs.

2003-08-14  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* System.Xml.dll.sources: Added Mono.Xml.Xsl.Operation/XslComment.cs 
	  and Mono.Xml/IHasXmlSchemaInfo.cs

2003-08-11  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* System.Xml.dll.sources: Added Assembly/Locale.cs

2003-08-07  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* System.Xml.dll.sources: Add Mono.Xml/IHasXmlParserContext.cs.

2003-07-28 Ben Maurer  <bmaurer@users.sourceforge.net>

	* System.Xml.dll.sources: Add new files

2003-07-21  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* Mono.System.XML.csproj : caught up with current library.

2003-07-18  Peter Williams  <peter@newton.cx>

	* Makefile (EXTRA_DISTFILES): NUnit.Prefs is not a 
	distable file.

2003-07-14  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* list.unix: Added Assembly/AssemblyInfo.cs, Removed System.Xml.Serialization/AssemblyInfo.cs

2003-07-06  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* list.unix : added System.Xml.Schema/BuiltInDatatype.cs,
	  System.Xml/DTDAutomata.cs, System.Xml/DTDValidatingReader.cs

2003-06-30  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* added Mono.Xml.XPath directory.
	* list.unix : added Mono.Xml.XPath's DTMXPathDocument.cs, 
		DTMXPathDocumentBuilder.cs, DTMXPathNavigator.cs

2003-06-16  Lluis Sanchez Gual <lluis@ximian.com>

	* added System.Xml.Serialization/XmlTypeMapMemberNamespaces.cs

2003-06-05  Lluis Sanchez Gual <lluis@ximian.com>

	* added System.Xml.Serialization/ReflectionHelper.cs to list.unix

2003-05-27  Joshua Tauberer <tauberer@for.net>

	* XslTransform.cs: Initial support for extension objects.
		Known issues:
			Extension method signatures must match exactly to the
			types of parameters that the method is called with from the stylesheet.
			Node set parameters are converted to an ArrayList of strings.
	* makefule.gnu: Added -unsafe flag, required by the above stuff.
	* System.XML.build: Added -unsafe flag.  Hope this is the right place.

2003-05-26  Lluis Sanchez Gual <lluis@ximian.com>
	
	* XmlSerializationWriterInterpreter.cs, XmlSerializationReaderInterpreter.cs
	  XmlTypeMapElementInfo.cs, XmlTypeMapMember.cs, XmlTypeMapMemberAttribute.cs
	  XmlTypeMapMemberElement.cs, XmlTypeMapping.cs: Added

2003-05-18  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* added XmlSecureResolver.cs to list.unix.

2003-05-15  Nick Drochak  <ndrochak@gol.com>

	* System.XML.build: exclude standalone tests from dll build.

2003-05-10  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* added TypeTableEntry.cs to list.unix.

2003-03-18  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* added XmlParserInput.cs and DTDObjectModel.cs to list.unix and 
	  Mono.System.Xml.csproj.

2003-02-16  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* added XmlInputStream.cs to list.unix and Mono.System.Xml.csproj.

2003-01-16  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* updated Mono.System.Xml.csproj. (patch by David B. Bitton)

2002-12-10  Jeroen Janssen <japj@darius.demon.nl>
	
	* updated .build file(s) to correctly contain required buildfile 
	  attribute for nant

2002-10-28  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* makefile.gnu: added test target.

2002-08-22  Tim Coleman <tim@timcoleman.com>
	* list.unix:
		Add System.Xml.Serialization/XmlCustomFormatter.cs

2002-08-19  Tim Coleman <tim@timcoleman.com>
	* list.unix:
		Add System.Xml.Serialization/XmlSerializationWriter.cs

2002-07-24  Tim Coleman <tim@timcoleman.com>
	* list.unix:
		Add some more classes to this build list.

2002-07-22  Tim Coleman <tim@timcoleman.com>
	* list.unix:
		Add System.Xml.Serialization/SoapReflectionImporter.cs to build
		list.

2002-07-22  Tim Coleman <tim@timcoleman.com>
	* list.unix: added new classes to build list.

2002-06-20  Ajay kumar Dwivedi <adwiv@yahoo.com>
	
	* System.Xml.Serialization: Added to build target

2002-05-24  Miguel de Icaza  <miguel@ximian.com>

	* System.Xml.Serialization/XmlElementAttribute.cs: Add allowmultiple

2002-03-06  Jason Diamond  <jason@injektilo.org>

	* System.XML.build: Disable warning CS0679: Other languages may permit the internal virtual member 'foo' to be overridden.

2002-02-23  Nick Drochak  <ndrochak@gol.com>

	* System.XML.build: Change dll name to System.Xml.dll from 
	System.XML.dll (not easy to notice, btw)

2001-12-07  Nick Drochak <ndrochak@gol.com>

	* ChangeLog: Add the change log to this directory

	* System.XML.build: Add dependancy on linux target to test target. Need to have the dll before we can test it, right?  Plus is encourages other to try 'make test'.
